POST api/GlassesPrescriptions

Create a new glasses prescription or update an existing glasses prescription in the Eye Reach Patients list. Accepted files are PDFs only.

Request Information

URI Parameters

None.

Body Parameters

Model used to create or retrieve a glasses prescription.

GlassesPrescriptionModel
NameDescriptionTypeAdditional information
PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

LeftEyePrescriptionDetails

Prescription details for left eye (Required, if no other prescription data is present).

string

None.

RightEyePrescriptionDetails

Prescription details for right eye (Required, if no other prescription data is present).

string

None.

LeftEyeExpirationDate

Expiration date for left eye (Required, if no other prescription data is present).

date

None.

RightEyeExpirationDate

Expiration date for right eye (Required, if no other prescription data is present).

date

None.

LeftEyeComments

Comments for left eye (Required, if no other prescription data is present).

string

None.

RightEyeComments

Comments for right eye (Required, if no other prescription data is present).

string

None.

PortalCreated

Portal created date of the glasses prescription.

date

None.

PrescribedDate

Prescribed Date

date

None.

Active

Indicates whether the glasses prescription is active or not.

boolean

None.

FileName

Prescription file name.

string

None.

FileContent

Prescription file content.

Collection of byte

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "leftEyePrescriptionDetails": "sample string 2",
  "rightEyePrescriptionDetails": "sample string 3",
  "leftEyeExpirationDate": "2026-05-29T16:59:03.0847384+00:00",
  "rightEyeExpirationDate": "2026-05-29T16:59:03.0847384+00:00",
  "leftEyeComments": "sample string 4",
  "rightEyeComments": "sample string 5",
  "portalCreated": "2026-05-29T16:59:03.0847384+00:00",
  "prescribedDate": "2026-05-29T16:59:03.0847384+00:00",
  "active": true,
  "fileName": "sample string 8",
  "fileContent": "QEA=",
  "id": "sample string 9",
  "externalId": "sample string 10"
}

application/xml, text/xml

Sample:
<GlassesPrescriptionModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.GlassesPrescriptions">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 9</Id>
  <Active>true</Active>
  <FileContent>QEA=</FileContent>
  <FileName>sample string 8</FileName>
  <LeftEyeComments>sample string 4</LeftEyeComments>
  <LeftEyeExpirationDate>2026-05-29T16:59:03.0847384+00:00</LeftEyeExpirationDate>
  <LeftEyePrescriptionDetails>sample string 2</LeftEyePrescriptionDetails>
  <PatientExternalId>sample string 1</PatientExternalId>
  <PortalCreated>2026-05-29T16:59:03.0847384+00:00</PortalCreated>
  <PrescribedDate>2026-05-29T16:59:03.0847384+00:00</PrescribedDate>
  <RightEyeComments>sample string 5</RightEyeComments>
  <RightEyeExpirationDate>2026-05-29T16:59:03.0847384+00:00</RightEyeExpirationDate>
  <RightEyePrescriptionDetails>sample string 3</RightEyePrescriptionDetails>
</GlassesPrescriptionModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'GlassesPrescriptionModel'.

Response Information

Resource Description

GlassesPrescriptionModel
NameDescriptionTypeAdditional information
PatientExternalId

ID of the patient in the integrating system (Required).

string

None.

LeftEyePrescriptionDetails

Prescription details for left eye (Required, if no other prescription data is present).

string

None.

RightEyePrescriptionDetails

Prescription details for right eye (Required, if no other prescription data is present).

string

None.

LeftEyeExpirationDate

Expiration date for left eye (Required, if no other prescription data is present).

date

None.

RightEyeExpirationDate

Expiration date for right eye (Required, if no other prescription data is present).

date

None.

LeftEyeComments

Comments for left eye (Required, if no other prescription data is present).

string

None.

RightEyeComments

Comments for right eye (Required, if no other prescription data is present).

string

None.

PortalCreated

Portal created date of the glasses prescription.

date

None.

PrescribedDate

Prescribed Date

date

None.

Active

Indicates whether the glasses prescription is active or not.

boolean

None.

FileName

Prescription file name.

string

None.

FileContent

Prescription file content.

Collection of byte

None.

Id

Unique ID of the model in the portal (Read only).

string

None.

ExternalId

Unique ID of the model in the integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "patientExternalId": "sample string 1",
  "leftEyePrescriptionDetails": "sample string 2",
  "rightEyePrescriptionDetails": "sample string 3",
  "leftEyeExpirationDate": "2026-05-29T16:59:03.0847384+00:00",
  "rightEyeExpirationDate": "2026-05-29T16:59:03.0847384+00:00",
  "leftEyeComments": "sample string 4",
  "rightEyeComments": "sample string 5",
  "portalCreated": "2026-05-29T16:59:03.0847384+00:00",
  "prescribedDate": "2026-05-29T16:59:03.0847384+00:00",
  "active": true,
  "fileName": "sample string 8",
  "fileContent": "QEA=",
  "id": "sample string 9",
  "externalId": "sample string 10"
}

application/xml, text/xml

Sample:
<GlassesPrescriptionModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.GlassesPrescriptions">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 10</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 9</Id>
  <Active>true</Active>
  <FileContent>QEA=</FileContent>
  <FileName>sample string 8</FileName>
  <LeftEyeComments>sample string 4</LeftEyeComments>
  <LeftEyeExpirationDate>2026-05-29T16:59:03.0847384+00:00</LeftEyeExpirationDate>
  <LeftEyePrescriptionDetails>sample string 2</LeftEyePrescriptionDetails>
  <PatientExternalId>sample string 1</PatientExternalId>
  <PortalCreated>2026-05-29T16:59:03.0847384+00:00</PortalCreated>
  <PrescribedDate>2026-05-29T16:59:03.0847384+00:00</PrescribedDate>
  <RightEyeComments>sample string 5</RightEyeComments>
  <RightEyeExpirationDate>2026-05-29T16:59:03.0847384+00:00</RightEyeExpirationDate>
  <RightEyePrescriptionDetails>sample string 3</RightEyePrescriptionDetails>
</GlassesPrescriptionModel>